type DefineColumnsOptions = {
  columns?: API.ModuleColumnDto[];
  operationBtns?: OperationBtnType[];
};

export function useDefineColumns(options: DefineColumnsOptions = {}) {
  const { columns, operationBtns } = options;
  return computed(() => ({
    columns,
    operationBtns,
  }));
}
